> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# retrieve a list of payments

> This endpoint retrieves a list of all payments available to the authenticated user.



## OpenAPI

````yaml /api/specs/one-time-payment-api.json get /payment-terminals/v1/payments
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for Payment-Terminal Payments
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /payment-terminals/v1/payments:
    get:
      tags:
        - Payment
      summary: retrieve a list of payments
      description: >-
        This endpoint retrieves a list of all payments available to the
        authenticated user.
      parameters:
        - in: query
          name: params
          schema:
            $ref: '#/components/schemas/PaymentQuery'
          style: deepObject
          explode: true
      responses:
        '200':
          description: A list of payment objects as the result of the query
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: object
                    required:
                      - hasMore
                      - items
                    properties:
                      hasMore:
                        type: boolean
                      items:
                        type: array
                        items:
                          $ref: '#/components/schemas/Payment'
      security:
        - oauth2:
            - read:payment_terminals_payment
components:
  schemas:
    PaymentQuery:
      type: object
      properties:
        skip:
          type: string
          description: Number of documents to skip when fetching the result.
        limit:
          type: string
          description: The maximun number of availiable documents in the response.
        networkId:
          type: string
          description: The network associated with the payment object.
        provider:
          type: string
          enum:
            - PAYTER
            - MAGTEK
          description: The provider of the payment object.
        assetId:
          type: string
          description: >-
            The assetId of the charging device associated with this payment
            object.
        connectorId:
          type: string
          description: >-
            The connector Id of the charging device associated with this payment
            object.
        startIsoTimestamp:
          type: string
          format: date-time
          description: The starting datetime applied to this query.
        endIsoTimestamp:
          type: string
          format: date-time
          description: The ending datetime applied to this query.
    Payment:
      type: object
      properties:
        provider:
          type: string
          enum:
            - PAYTER
            - MAGTEK
        providerRefId:
          type: string
        committedAmountInCent:
          type: number
        currency:
          type: string
          enum:
            - USD
        sessionId:
          type: string
        networkId:
          type: string
        assetId:
          type: string
        connectorId:
          type: number
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - provider
        - committedAmountInCent
        - currency
        - sessionId
        - networkId
        - assetId
        - connectorId
        - createdAt
        - updatedAt
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````